export ENTRYPOINT_VERSION=v1
export GRAFANA_DATASOURCES_YML_VERSION=v1
export GRAFANA_DASHBOARDS_YML_VERSION=v1
export GRAFANA_SWARM_DASHBOARD_JSON_VERSION=v2
export GRAFANA_STACKS_DASHBOARD_JSON_VERSION=v2
export GRAFANA_TRAEFIK_DASHBOARD_JSON_VERSION=v2
export GRAFANA_CUSTOM_INI_VERSION=v4
export PROMTAIL_YML_VERSION=v3
export LOKI_YML_VERSION=v2
export PROMETHEUS_YML_VERSION=v2

# creates a default prometheus scrape config for a given node
add_node(){
  name=$1
  add_domain "$name" "$name:8082"
  add_domain "$name" "node.monitoring.$name"
  add_domain "$name" "cadvisor.monitoring.$name"
  cat "/prometheus/scrape_configs/$name.yml"
}

# adds a domain to a scrape config or creates a new one
add_domain(){
  name=$1
  domain=$2
  if [ ! -d "/prometheus/scrape_configs/" ]; then
    mkdir -p /prometheus/scrape_configs/
  fi
  cd /prometheus/scrape_configs/ || exit 1
  if [ ! -f "$name.yml" ]; then
    echo -e "- targets:\n  - '$domain'" > "$name.yml"
  else
    echo "  - '$domain'"  >> "$name.yml"
  fi
}
